varying vec2 texCoord;
uniform float vTrans;
varying vec3 vViewVec;

void main(void) {
   gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;

//   vViewVec = -vec3(0.00350 * gl_ModelViewMatrix * gl_Vertex);
   vViewVec = -vec3(0.0280 * gl_ModelViewMatrix * gl_Vertex);
   
   texCoord = gl_MultiTexCoord0.xy;
   texCoord.y = (texCoord.y - vTrans) * 2.0;
}
